package com.boot.bus.sqlsync.async.parallel;


import com.boot.bus.sqlsync.async.callback.ICallback;
import com.boot.bus.sqlsync.async.callback.IWorker;
import com.boot.bus.sqlsync.async.executor.timer.SystemClock;
import com.boot.bus.sqlsync.async.worker.WorkResult;
import com.boot.bus.sqlsync.async.wrapper.WorkerWrapper;
import com.boot.bus.sqlsync.message.DataSyncMessage;
import com.boot.bus.sqlsync.service.infc.MqttReceiveService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author wuweifeng wrote on 2019-11-20.
 */
@Component
public class ParWorker implements IWorker<DataSyncMessage, String>, ICallback<DataSyncMessage, String> {

//    @Autowired
    private static MqttReceiveService mqttMessageService;

    @Autowired
    public void setDatastore(MqttReceiveService mqttMessageService) {
        ParWorker.mqttMessageService = mqttMessageService;
    }

    @Override
    public String action(DataSyncMessage object, Map<String, WorkerWrapper> allWrappers) {
        try {
//            mqttMessageService.handlerMqttIncrementMessage(object);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return "result = " + SystemClock.now() + "---param = " + object + " from 0";
    }


    @Override
    public String defaultValue() {
        return "worker0--default";
    }

    @Override
    public void begin() {
        System.out.println(Thread.currentThread().getName() + "- start --" + System.currentTimeMillis());
    }

    @Override
    public void result(boolean success, DataSyncMessage param, WorkResult<String> workResult) {
        if (success) {
            System.out.println("callback worker0 success--" + SystemClock.now() + "----" + workResult.getResult()
                    + "-threadName:" + Thread.currentThread().getName());
        } else {
            System.err.println("callback worker0 failure--" + SystemClock.now() + "----" + workResult.getResult()
                    + "-threadName:" + Thread.currentThread().getName());
        }
    }

//    @Override
//    public void result(boolean success, String param, WorkResult<String> workResult) {
//        if (success) {
//            System.out.println("callback worker0 success--" + SystemClock.now() + "----" + workResult.getResult()
//                    + "-threadName:" + Thread.currentThread().getName());
//        } else {
//            System.err.println("callback worker0 failure--" + SystemClock.now() + "----" + workResult.getResult()
//                    + "-threadName:" + Thread.currentThread().getName());
//        }
//    }

}
