package com.boot.bus.sqlsync.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.boot.bus.sqlsync.mapper.CheckInputMapper;
import com.boot.bus.sqlsync.service.infc.ICheckInputService;
import com.yeejoin.amos.patrol.dao.entity.CheckInput;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;


@Service
public class CheckInputServiceImpl extends ServiceImpl<CheckInputMapper, CheckInput> implements ICheckInputService {

    @Override
    public void asfDeleteByIds(List<Long> ids) {
        if (!ids.isEmpty()) {
            this.baseMapper.deleteBatchIds(ids);
        }
    }

    @Override
    public void asfSaveOrUpdateBatch(List<CheckInput> list) {
        if (!list.isEmpty()) {
            List<CheckInput> checkInputs = list.stream().map(x -> {
                CheckInput checkInput = new CheckInput();
                BeanUtils.copyProperties(x, checkInput);
                return checkInput;
            }).collect(Collectors.toList());
            saveOrUpdateBatch(checkInputs);
        }
    }
}