package com.boot.bus.sqlsync.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.boot.bus.sqlsync.mapper.CheckMapper;
import com.boot.bus.sqlsync.service.infc.ICheckService;
import com.yeejoin.amos.patrol.dao.entity.Check;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;


@Service
public class CheckServiceImpl extends ServiceImpl<CheckMapper, Check> implements ICheckService {

    @Override
    public void asfDeleteByIds(List<Long> ids) {
        if (!ids.isEmpty()) {
            this.baseMapper.deleteBatchIds(ids);
        }
    }

    @Override
    public void asfSaveOrUpdateBatch(List<Check> list) {
        if (!list.isEmpty()) {
            List<Check> checks = list.stream().map(x -> {
                Check check = new Check();
                BeanUtils.copyProperties(x, check);
                return check;
            }).collect(Collectors.toList());
            saveOrUpdateBatch(checks);
        }
    }
}