package com.boot.bus.sqlsync.service.impl;

import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.boot.bus.sqlsync.mapper.CheckShotMapper;
import com.boot.bus.sqlsync.service.infc.ICheckShotService;
import com.yeejoin.amos.patrol.dao.entity.CheckShot;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;


@Service
public class CheckShotServiceImpl extends ServiceImpl<CheckShotMapper, CheckShot> implements ICheckShotService {

    @Override
    public void asfDeleteByIds(List<Long> ids) {
        if (!ids.isEmpty()) {
            this.baseMapper.deleteBatchIds(ids);
        }
    }

    @Override
    public void asfSaveOrUpdateBatch(List<CheckShot> list) {
        if (!list.isEmpty()) {
            List<CheckShot> checkShots = list.stream().map(x -> {
                CheckShot checkShot = new CheckShot();
                BeanUtils.copyProperties(x, checkShot);
                if (!StringUtils.isNotEmpty(checkShot.getShotType())) {
                    checkShot.setShotType("");
                }
                return checkShot;
            }).collect(Collectors.toList());
            if (0 < checkShots.stream().filter(x -> null != x.getShotType()).collect(Collectors.toList()).size()) {
                saveOrUpdateBatch(checkShots);
            }
        }
    }
}