package com.boot.bus.sqlsync.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.boot.bus.sqlsync.mapper.ContingencyOriginalDataMapper;
import com.boot.bus.sqlsync.service.infc.IContingencyOriginalDataService;
import com.yeejoin.amos.fas.dao.entity.ContingencyOriginalData;
import com.yeejoin.amos.fas.datasync.bo.ContingencyOriginalDataSyncBo;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @ProjectName: amos-boot-bus
 * @Package: com.boot.bus.sqlsync.service.impl
 * @ClassName: ContingencyOriginalDataServiceImpl
 * @Author: Jianqiang Gao
 * @Description:
 * @Date: 2022/6/10 16:06
 * @Version: 1.0
 */
@Service
public class ContingencyOriginalDataServiceImpl extends ServiceImpl<ContingencyOriginalDataMapper, ContingencyOriginalData> implements IContingencyOriginalDataService {

    @Override
    public void astDeleteByIds(List<String> ids) {
        if (!ids.isEmpty()) {
            baseMapper.deleteBatchIds(ids);
        }
    }

    @Override
    public void astSaveOrUpdateBatch(List<ContingencyOriginalDataSyncBo> list) {
        if (!list.isEmpty()) {
            List<ContingencyOriginalData> collect = list.stream().map(x -> {
                ContingencyOriginalData data = new ContingencyOriginalData();
                BeanUtils.copyProperties(x, data);
                return data;
            }).collect(Collectors.toList());
            saveOrUpdateBatch(collect);
        }
    }
}