package com.boot.bus.sqlsync.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.boot.bus.sqlsync.mapper.ContingencyPlanDetailMapper;
import com.boot.bus.sqlsync.service.infc.IContingencyPlanDetailService;
import com.yeejoin.amos.fas.dao.entity.PlanDetail;
import com.yeejoin.amos.fas.datasync.bo.PlanDetailSyncBo;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @ProjectName: amos-boot-bus
 * @Package: com.boot.bus.sqlsync.service.impl
 * @ClassName: ContingencyPlanDetailServiceImpl
 * @Author: Jianqiang Gao
 * @Description:
 * @Date: 2022/6/10 16:06
 * @Version: 1.0
 */
@Service
public class ContingencyPlanDetailServiceImpl extends ServiceImpl<ContingencyPlanDetailMapper, PlanDetail> implements IContingencyPlanDetailService {
    @Override
    public void astDeleteByIds(List<Long> ids) {
        if (!ids.isEmpty()) {
            baseMapper.deleteBatchIds(ids);
        }
    }

    @Override
    public void astSaveOrUpdateBatch(List<PlanDetailSyncBo> list) {
        if (!list.isEmpty()) {
            List<PlanDetail> collect = list.stream().map(x -> {
                PlanDetail data = new PlanDetail();
                BeanUtils.copyProperties(x, data);
                return data;
            }).collect(Collectors.toList());
            saveOrUpdateBatch(collect);
        }
    }
}