package com.boot.bus.sqlsync.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.boot.bus.sqlsync.mapper.LatentDangerFlowRecordMapper;
import com.boot.bus.sqlsync.service.infc.ILatentDangerFlowRecordService;
import com.yeejoin.amos.patrol.dao.entity.LatentDangerFlowRecord;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;


@Service
public class LatentDangerFlowRecordServiceImpl extends ServiceImpl<LatentDangerFlowRecordMapper, LatentDangerFlowRecord> implements ILatentDangerFlowRecordService {

    @Override
    public void asfDeleteByIds(List<Long> ids) {
        if (!ids.isEmpty()) {
            this.baseMapper.deleteBatchIds(ids);
        }
    }

    @Override
    public void asfSaveOrUpdateBatch(List<LatentDangerFlowRecord> list) {
        if (!list.isEmpty()) {
            List<LatentDangerFlowRecord> latentDangerFlowRecords = list.stream().map(x -> {
                LatentDangerFlowRecord latentDangerFlowRecord = new LatentDangerFlowRecord();
                BeanUtils.copyProperties(x, latentDangerFlowRecord);
                return latentDangerFlowRecord;
            }).collect(Collectors.toList());
            if (0 < latentDangerFlowRecords.stream().filter(x -> null != x.getDangerId()).collect(Collectors.toList()).size()) {
                saveOrUpdateBatch(latentDangerFlowRecords);
            }
        }
    }
}