package com.boot.bus.sqlsync.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.boot.bus.sqlsync.mapper.LatentDangerPatrolMapper;
import com.boot.bus.sqlsync.service.infc.ILatentDangerPatrolService;
import com.yeejoin.amos.patrol.dao.entity.LatentDangerPatrol;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;


@Service
public class LatentDangerPatrolServiceImpl extends ServiceImpl<LatentDangerPatrolMapper, LatentDangerPatrol> implements ILatentDangerPatrolService {

    @Override
    public void asfDeleteByIds(List<Long> ids) {
        if (!ids.isEmpty()) {
            this.baseMapper.deleteBatchIds(ids);
        }
    }

    @Override
    public void asfSaveOrUpdateBatch(List<LatentDangerPatrol> list) {
        if (!list.isEmpty()) {
            List<LatentDangerPatrol> latentDangerPatrols = list.stream().map(x -> {
                LatentDangerPatrol latentDangerPatrol = new LatentDangerPatrol();
                BeanUtils.copyProperties(x, latentDangerPatrol);
                return latentDangerPatrol;
            }).collect(Collectors.toList());
            saveOrUpdateBatch(latentDangerPatrols);
        }
    }
}