package com.boot.bus.sqlsync.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.boot.bus.sqlsync.mapper.LatentDangerPhotoMapper;
import com.boot.bus.sqlsync.service.infc.ILatentDangerPhotoService;
import com.yeejoin.amos.patrol.dao.entity.LatentDangerPhoto;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;


@Service
public class LatentDangerPhotoServiceImpl extends ServiceImpl<LatentDangerPhotoMapper, LatentDangerPhoto> implements ILatentDangerPhotoService {

    @Override
    public void asfDeleteByIds(List<Long> ids) {
        if (!ids.isEmpty()) {
            this.baseMapper.deleteBatchIds(ids);
        }
    }

    @Override
    public void asfSaveOrUpdateBatch(List<LatentDangerPhoto> list) {
        if (!list.isEmpty()) {
            List<LatentDangerPhoto> latentDangerPhotos = list.stream().map(x -> {
                LatentDangerPhoto latentDangerPhoto = new LatentDangerPhoto();
                BeanUtils.copyProperties(x, latentDangerPhoto);
                return latentDangerPhoto;
            }).collect(Collectors.toList());
            saveOrUpdateBatch(latentDangerPhotos);
        }
    }
}