package com.boot.bus.sqlsync.service.impl;

import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.boot.bus.sqlsync.mapper.LatentDangerMapper;
import com.boot.bus.sqlsync.service.infc.ILatentDangerService;
import com.yeejoin.amos.patrol.dao.entity.LatentDanger;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;


@Service
public class LatentDangerServiceImpl extends ServiceImpl<LatentDangerMapper, LatentDanger> implements ILatentDangerService {

    @Override
    public void asfDeleteByIds(List<Long> ids) {
        if (!ids.isEmpty()) {
            this.baseMapper.deleteBatchIds(ids);
        }
    }

    @Override
    public void asfSaveOrUpdateBatch(List<LatentDanger> list) {
        if (!list.isEmpty()) {
            List<LatentDanger> latentDangers = list.stream().map(x -> {
                LatentDanger latentDanger = new LatentDanger();
                BeanUtils.copyProperties(x, latentDanger);
                return latentDanger;
            }).collect(Collectors.toList());
            if (0 < latentDangers.stream().filter(x -> null != x.getDangerName()).collect(Collectors.toList()).size()) {
                saveOrUpdateBatch(latentDangers);
            }
        }
    }
}