package com.boot.bus.sqlsync.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.boot.bus.sqlsync.mapper.PlanOperationRecordMapper;
import com.boot.bus.sqlsync.service.infc.IPlanOperationRecordService;
import com.yeejoin.amos.fas.dao.entity.PlanOperationRecord;
import com.yeejoin.amos.fas.datasync.bo.PlanOperationRecordSyncBo;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @ProjectName: amos-boot-bus
 * @Package: com.boot.bus.sqlsync.service.impl
 * @ClassName: PlanOperationRecordServiceImpl
 * @Author: Jianqiang Gao
 * @Description:
 * @Date: 2022/6/10 16:05
 * @Version: 1.0
 */
@Service
public class PlanOperationRecordServiceImpl extends ServiceImpl<PlanOperationRecordMapper, PlanOperationRecord> implements IPlanOperationRecordService {

    @Override
    public void astDeleteByIds(List<Long> ids) {
        if (!ids.isEmpty()) {
            baseMapper.deleteBatchIds(ids);
        }
    }

    @Override
    public void astSaveOrUpdateBatch(List<PlanOperationRecordSyncBo> list) {
        if (!list.isEmpty()) {
            List<PlanOperationRecord> collect = list.stream().map(x -> {
                PlanOperationRecord data = new PlanOperationRecord();
                BeanUtils.copyProperties(x, data);
                return data;
            }).collect(Collectors.toList());
            saveOrUpdateBatch(collect);
        }
    }
}