package com.boot.bus.sqlsync.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.boot.bus.sqlsync.mapper.PlanTaskDetailMapper;
import com.boot.bus.sqlsync.service.infc.IPlanTaskDetailService;
import com.yeejoin.amos.patrol.dao.entity.PlanTaskDetail;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;


@Service
public class PlanTaskDetailServiceImpl extends ServiceImpl<PlanTaskDetailMapper, PlanTaskDetail> implements IPlanTaskDetailService {

    @Override
    public void asfDeleteByIds(List<Long> ids) {
        if (!ids.isEmpty()) {
            this.baseMapper.deleteBatchIds(ids);
        }
    }

    @Override
    public void asfSaveOrUpdateBatch(List<PlanTaskDetail> list) {
        if (!list.isEmpty()) {
            List<PlanTaskDetail> planTaskDetails = list.stream().map(x -> {
                PlanTaskDetail planTaskDetail = new PlanTaskDetail();
                BeanUtils.copyProperties(x, planTaskDetail);
                return planTaskDetail;
            }).collect(Collectors.toList());
            saveOrUpdateBatch(planTaskDetails);
        }
    }
}