package com.boot.bus.sqlsync.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.boot.bus.sqlsync.mapper.PlanTaskMapper;
import com.boot.bus.sqlsync.service.infc.IPlanTaskService;
import com.yeejoin.amos.patrol.dao.entity.PlanTask;
import org.apache.commons.beanutils.PropertyUtils;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;


@Service
public class PlanTaskServiceImpl extends ServiceImpl<PlanTaskMapper, PlanTask> implements IPlanTaskService {

    @Override
    public void asfDeleteByIds(List<Long> ids) {
        if (!ids.isEmpty()) {
            this.baseMapper.deleteBatchIds(ids);
        }
    }

    @Override
    public void asfSaveOrUpdateBatch(List<PlanTask> list) {
        if (!list.isEmpty()) {
            List<PlanTask> planTasks = list.stream().map(x -> {
                PlanTask planTask = new PlanTask();
                BeanUtils.copyProperties(x, planTask);
                return planTask;
            }).collect(Collectors.toList());
            saveOrUpdateBatch(planTasks);
        }
    }
}