package com.boot.bus.sqlsync;

import org.mybatis.spring.annotation.MapperScan;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.core.env.Environment;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * @ProjectName: amos-boot-bus
 * @Package: com.boot.bus.sqlsync
 * @ClassName: AmosSqlSyncApplication
 * @Author: Jianqiang Gao
 * @Description:
 * @Date: 2022/6/9 15:31
 * @Version: 1.0
 */
@SpringBootApplication
@EnableAsync
@EnableScheduling
@EnableEurekaClient
@ComponentScan(value = {"com.boot.bus"})
@MapperScan(basePackages = {"com.boot.bus.sqlsync.mapper"})
public class AmosSqlSyncApplication {

    private static final Logger logger = LoggerFactory.getLogger(AmosSqlSyncApplication.class);

    public static void main(String[] args) throws UnknownHostException {
        ConfigurableApplicationContext context = SpringApplication.run(AmosSqlSyncApplication.class, args);
        Environment env = context.getEnvironment();
        String ip = InetAddress.getLocalHost().getHostAddress();
        String port = env.getProperty("server.port");
//        String path = oConvertUtils.getString(env.getProperty("server.servlet.context-path"));
//        GlobalExceptionHandler.setAlwaysOk(true);
//        logger.info("\n----------------------------------------------------------\n\t"
//                + "Application Amos-Biz-Boot is running! Access URLs:\n\t" + "Swagger文档: \thttp://" + ip + ":" + port
//                + path + "/doc.html\n" + "----------------------------------------------------------");
    }
}